commit:     75dd25123cd7443481c8cd73cb96cf6794aa8474
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 03:13:08 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 04:11:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75dd2512

net-libs/libflowmanager: port to EAPI 7, drop ltprune

Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../libflowmanager/libflowmanager-3.0.0-r1.ebuild   | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

diff --git a/net-libs/libflowmanager/libflowmanager-3.0.0-r1.ebuild 
b/net-libs/libflowmanager/libflowmanager-3.0.0-r1.ebuild
index f1337c58b2d..9891a9aa444 100644
--- a/net-libs/libflowmanager/libflowmanager-3.0.0-r1.ebuild
+++ b/net-libs/libflowmanager/libflowmanager-3.0.0-r1.ebuild
@@ -1,8 +1,7 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit eutils ltprune
+EAPI=7
 
 DESCRIPTION="A library that measures and reports on packet flows"
 HOMEPAGE="https://research.wand.net.nz/software/libflowmanager.php";
@@ -11,24 +10,20 @@ 
SRC_URI="https://research.wand.net.nz/software/${PN}/${P}.tar.gz";
 LICENSE="GPL-2"
 SLOT="0/3"
 KEYWORDS="~amd64 ~x86"
-IUSE="static-libs"
-
-DEPEND="
-       >=net-libs/libtrace-3.0.6
-"
-RDEPEND="
-       ${DEPEND}
-"
+
+DEPEND=">=net-libs/libtrace-3.0.6"
+RDEPEND="${DEPEND}"
+
 PATCHES=(
        "${FILESDIR}"/${PN}-3.0.0-stdint_h.patch
 )
 
 src_configure() {
-       econf $(use_enable static-libs static)
+       econf --disable-static
 }
 
 src_install() {
        default
 
-       prune_libtool_files
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to